<?php

if ( ! function_exists( 'multisport_customize_register' ) ) :
	/**
	 * Add postMessage support for site title and description for the Theme Customizer.
	 *
	 */
	function multisport_customize_register( $wp_customize ) {

		/**
		 * Add Footer Section
		 */
		$wp_customize->add_section(
			'multisport_footer_section',
			array(
				'title'       => __( 'Footer', 'multisport' ),
				'capability'  => 'edit_theme_options',
			)
		);
		
		// Add Footer Copyright Text
		$wp_customize->add_setting(
			'multisport_footer_copyright',
			array(
			    'default'           => '',
			    'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'multisport_footer_copyright',
	        array(
	            'label'          => __( 'Copyright Text', 'multisport' ),
	            'section'        => 'multisport_footer_section',
	            'settings'       => 'multisport_footer_copyright',
	            'type'           => 'text',
	            )
	        )
		);
	}
endif; // multisport_customize_register
add_action( 'customize_register', 'multisport_customize_register' );
